import { mergeProps } from "solid-js";

const BORDER = "spinner-border";
const GROW = "spinner-grow";

function Spinner(props) {
  props = mergeProps({ style: "", type: BORDER, class: "" }, props);
  return (
    <div class={props.type + " " + props.class} role="status" style={props.style}>
      <span class="visually-hidden">Loading...</span>
    </div>
  );
}

Spinner.BORDER = BORDER;
Spinner.GROW = GROW;

export default Spinner;

